Package Base Details: kanidm-git

Git Clone URL: https://aur.archlinux.org/kanidm-git.git (read-only, click to copy)
Keywords: authentication iam identity identity-management idm ldap oidc radius rust scim security ssh-authentication webauthn
Submitter: soloturn
Maintainer: soloturn (cubi)
Last Packager: cubi
Votes: 0
Popularity: 0.000000
First Submitted: 2021-03-08 05:00 (UTC)
Last Updated: 2024-05-01 08:38 (UTC)

Latest Comments

Geo-7 commented on 2022-04-07 08:28 (UTC)

Thank you, Actually I am using your package, I just have changed my .gitconfig to redirect git to https and now I revert back my config, and I'm updating with yay.

cubi commented on 2022-04-06 14:01 (UTC)

Hi @Geo-7,

thanks for the comment and sorry for the delay, I have not seen it. It should work now. Also update to the latest git commit.

Geo-7 commented on 2022-03-27 09:43 (UTC) (edited on 2022-03-27 11:36 (UTC) by Geo-7)

Github new policy cause this error: fatal: remote error: The unauthenticated git protocol on port 9418 is no longer supported. Please see https://github.blog/2021-09-01-improving-git-protocol-security-github/ for more information.

Could you please change source to https like this?: source=("$pkgbase::git+https://github.com/${_basename}/${_basename}.git")

soloturn commented on 2022-03-06 09:02 (UTC)

done, @wuestengecko.

wuestengecko commented on 2022-03-03 23:13 (UTC)

Hi, thanks for making this package! I have some minor suggestions / requests to make:

  1. Please add systemd to makedepends=(), otherwise the package won't build in a clean chroot.
  2. Conventionally, the pkgver does not include the v prefix from VCS tags, so it would be nice if you could remove that with the sed call :) It's really as simple as adding s/^v//;' in front of thesedscript. (Numbers are considered "newer" than letters, so no need to bumpepoch`.)

But I'm not just here to nag ;)

From the top of the PKGBUILD:

the following still needs clarification or work: [...] * systemd activate and run should be added to package if this is so with other arch packages

This is deliberately not the case with other Arch packages. In fact, Arch goes out of its way to keep services disabled by default.

Also see https://wiki.archlinux.org/title/Arch_Linux#Principles:

[Arch Linux] does not add automation features such as enabling a service simply because the package was installed.

soloturn commented on 2021-06-25 01:37 (UTC)

@cubi, made you co-maintainer.

cubi commented on 2021-06-11 06:12 (UTC)

This PKGBUILD has similar issues as https://aur.archlinux.org/pkgbase/kanidm/

@soloturn are you still working on this?